<?php

namespace B2buy\Contact\Repositories\Eloquent;

use B2buy\Contact\Interfaces\B2buyRepositoryInterface;
use Litepie\Repository\BaseRepository;
use B2buy\Contact\Repositories\Eloquent\Presenters\B2buyItemPresenter;


class B2buyRepository extends BaseRepository implements B2buyRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('b2buy.contact.b2buy.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('b2buy.contact.b2buy.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return B2buyItemPresenter::class;
    }
}
