<?php

namespace B2buy\Contact\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use B2buy\Contact\Models\B2buy;

class B2buyAction
{
    /**
     * Perform the complete action.
     *
     * @param B2buy $b2buy
     *
     * @return B2buy
     */
    public function complete(B2buy $b2buy)
    {
        try {
            $b2buy->status = 'complete';
            return $b2buy->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param B2buy $b2buy
     *
     * @return B2buy
     */public function verify(B2buy $b2buy)
    {
        try {
            $b2buy->status = 'verify';
            return $b2buy->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param B2buy $b2buy
     *
     * @return B2buy
     */public function approve(B2buy $b2buy)
    {
        try {
            $b2buy->status = 'approve';
            return $b2buy->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param B2buy $b2buy
     *
     * @return B2buy
     */public function publish(B2buy $b2buy)
    {
        try {
            $b2buy->status = 'publish';
            return $b2buy->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param B2buy $b2buy
     *
     * @return B2buy
     */
    public function archive(B2buy $b2buy)
    {
        try {
            $b2buy->status = 'archive';
            return $b2buy->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param B2buy $b2buy
     *
     * @return B2buy
     */
    public function unpublish(B2buy $b2buy)
    {
        try {
            $b2buy->status = 'unpublish';
            return $b2buy->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
