<?php

namespace B2buy\Contact\Workflow;

use B2buy\Contact\Models\B2buy;
use B2buy\Contact\Notifications\B2buyWorkflow as B2buyNotifyer;
use Notification;

class B2buyNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param B2buy $b2buy
     *
     * @return void
     */
    public function complete(B2buy $b2buy)
    {
        return Notification::send($b2buy->user, new B2buyNotifyer($b2buy, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param B2buy $b2buy
     *
     * @return void
     */
    public function verify(B2buy $b2buy)
    {
        return Notification::send($b2buy->user, new B2buyNotifyer($b2buy, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param B2buy $b2buy
     *
     * @return void
     */
    public function approve(B2buy $b2buy)
    {
        return Notification::send($b2buy->user, new B2buyNotifyer($b2buy, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param B2buy $b2buy
     *
     * @return void
     */
    public function publish(B2buy $b2buy)
    {
        return Notification::send($b2buy->user, new B2buyNotifyer($b2buy, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param B2buy $b2buy
     *
     * @return void
     */
    public function archive(B2buy $b2buy)
    {
        return Notification::send($b2buy->user, new B2buyNotifyer($b2buy, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param B2buy $b2buy
     *
     * @return void
     */
    public function unpublish(B2buy $b2buy)
    {
        return Notification::send($b2buy->user, new B2buyNotifyer($b2buy, 'unpublish'));;

    }
}
